# Generated from net-http-report-0.2.0.gem by gem2rpm -*- rpm-spec -*-
%global gem_name net-http-report

Name: rubygem-%{gem_name}
Version: 0.2.0
Release: 1%{?dist}
Summary: Adds support for HTTP REPORT requests to Net::HTTP
License: MIT
URL: https://github.com/salsify/net-http-report
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRequires: ruby(release)
BuildRequires: rubygems-devel
BuildRequires: ruby >= 2.6
# BuildRequires: rubygem(overcommit) >= 0.37
# BuildRequires: rubygem(overcommit) < 1
# BuildRequires: rubygem(rspec) >= 3.8
# BuildRequires: rubygem(rspec) < 4
# BuildRequires: rubygem(rspec_junit_formatter)
# BuildRequires: rubygem(salsify_rubocop) >= 1.0.2
# BuildRequires: rubygem(salsify_rubocop) < 1.1
BuildArch: noarch

%description
Monkey patches the Net::HTTP standard library to add the HTTP REPORT
Request class that integrates with the rest of the Net::HTTP suite.


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -n %{gem_name}-%{version}

%build
# Create the gem as gem install only works on a gem file
gem build ../%{gem_name}-%{version}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/


mkdir -p %{buildroot}%{_bindir}
cp -a .%{_bindir}/* \
        %{buildroot}%{_bindir}/

find %{buildroot}%{gem_instdir}/bin -type f | xargs chmod a+x

%check
pushd .%{gem_instdir}
# rspec spec
popd

%files
%dir %{gem_instdir}
%{_bindir}/console
%{_bindir}/setup
%{gem_instdir}/.circleci
%exclude %{gem_instdir}/.gitignore
%{gem_instdir}/.overcommit.yml
%exclude %{gem_instdir}/.rubocop.yml
%{gem_instdir}/.ruby-gemset
%{gem_instdir}/.ruby-version
%license %{gem_instdir}/LICENSE.txt
%{gem_instdir}/bin
%{gem_libdir}
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}
%exclude %{gem_instdir}/.rspec
%doc %{gem_instdir}/CHANGELOG.md
%{gem_instdir}/Gemfile
%doc %{gem_instdir}/README.md
%{gem_instdir}/Rakefile
%{gem_instdir}/net-http-report.gemspec

%changelog
* Tue Sep 14 2021 mockbuilder - 0.2.0-1
- Initial package
